-- Default locals
local L = LibStub('AceLocale-3.0'):NewLocale('ShivvAudio', 'enUS', true)

if not L then return end -- abort if not using these locals

L.Yes = 'Yes'
L.No = 'No'
L.None = 'None'

-- Actual text is 'ShivvAudio' with 1 colour for the capital S/A and another for the rest
L.Title = '|cff67b1e9S|cff4779cehivv|cff67b1e9A|cff4779ceudio|r'

L.NoGUIWhileMusic = 'Please cancel all buffs that have music before configuring this mod.'
L.ChatHelp = '\'/shivv\' opens the GUI, and \'/shivv kill\' will cancel any currently active music.'

L.StatusText = 'It is recommended you not be in combat while adjusting settings.'
L.Global = 'Introduction & Global Options'
L.MediaDatabase = 'Media Database'
L.AudibleAuras = 'Audible Auras'
L.MelodicVitals = 'Melodic Vitals'
L.MusicalEvents = 'Musical Events'

-- Intro & Global Panel
L.EnableAura = 'Enable Audible Auras'
L.EnableAuraDesc = 'Controls aura (buff/debuff) tracking. When active, can play chosen sounds and music when selected auras are gained/lost.'

L.EnableHealth = 'Enable Melodic Vitals (Health)'
L.EnableHealthDesc = 'Overall control for health tracking. When active, can play chosen sounds for low HP units you have selected.'

L.EnablePower = 'Enable Melodic Vitals (Power)'
L.EnablePowerDesc = 'Overall control for power (mana, rage, etc) tracking. When active, can play chosen sounds for low PWR units you have selected.'

L.EnableMusicControl = 'Enable Music Control'
L.EnableMusicControlDesc = 'Gives ShivvAudio control of in-game music so as to only play it when requested. When disabled, zone music will play until interrupted by this mod.'

L.AddLSM = 'LibSharedMedia Import'
L.AddLSMDisabled = 'LibSharedMedia Not Found'
L.AddLSMDescEnabled = 'This button will import the current library of sounds from any mods that use LibSharedMedia. Please note that while all available sounds will be imported into the media library, any future changes to the relevant sound files (such as deleting the mod that provides them) will not be tracked and, even if the file no longer exists, the entry will remain in the media database.'
L.LSMEntriesAdded = ' entries added to Media Database from LibSharedMedia.'

L.VitalAnnounceRepeat = 'Vital Announce Repeat'
L.VitalAnnounceTip = 'Set Vital Announce Repeat Timer'
L.VitalAnnounceDesc = 'This value is how long (in seconds) between when Melodic Vitals will repeat the audio you set (if any) to those around you being low on health and/or power.\n\nDefault value is 5 and, while the option is provided, it is not recommended to go below this value.'

L.IntroTitle = 'Guide To ShivvAudio'

-- INTRO BLOCK --
L.Intro = [[ShivvAudio allows you to assign media (sounds or music) to things that happen in the game. There are 3 main modules, each allows media to be attached to a different in-game source. These modules are:

|cffffd100Audible Auras|r - Allows a sound to be attached when you (or those around you) gain or lose an aura (buff or debuff). The mod doesn't care where the aura came from, simply that it exists on the 'unit' you are tracking. Additionally, for auras on yourself (the 'player' unit) you can have the mod play a music file while the buff is active.

|cff40bad8Examples:|r playing music while on a mount, an alert when an arena opponent gains a powerful buff, an alert when a party member gets a nasty raid mob debuff and needs special attention, an alert when your pet's buffs fade and so on...

|cffffd100Melodic Vitals|r - Allows a sound to be assigned to yourself (or those around you) that alerts you when they fall below a certain amount of health or power (rage/energy/mana/etc). Each unit tracked can have its health or power (or both) tracked with unique or similar sounds for each, and a trigger only at a percentage chosen by you.

|cff40bad8Examples:|r an alert when your health or a party member's health falls below 50%, an alert when a raid boss is in the 25% 'execution' phase (so long as its your target or focus).

|cffffd100Musical Events|r - Allows you to attach sounds (or music) to in-game events such as leveling up, earning an achievement or your character dying (never said all the event choices were pleasant ones!). You can also have music play when visiting vendors such as shops, the auction house or the bank.

|cffffd100Global Media Database|r - In addition to these modules which are configured on a per character basis, ShivvAudio provides a global database for sounds that are used by all characters on a single account. For each media entry, you pick a name that references the media being entered and that name will represent the media in all the other modules options. While the mod assumes most of your media files will be played from the Media folder in ShivvAudio's AddOn folder, you can use a file placed in any AddOn's folder or even sounds built into WoW itself!

|cff40bad8Examples of valid file paths would be:|r

For a file in the ShivvAudio\Media folder -
|cffffd1001812overtune.mp3|r
(and checking 'In Shivv Media?')

For a file in another AddOn's folder -
|cffffd100Interface\AddOns\Boing\boing.mp3|r
(and unchecking 'In Shivv Media?')

For a file in WoW itself -
|cffffd100Sound\Event Sounds\Event_wardrum_ogre.wav|r
(and unchecking 'In Shivv Media?')

|cffffd100Note:|r Paths for files internal to WoW must be found yourself on various websites and while internal files can have a .wav extension, WoW will only recognise .mp3 or .ogg externally. Additionally, you must enter a full filename (or path) including the file extension (.mp3, etc) and WoW is case-sensitive in regards to filenames, so please be aware.

|cffffd100IMPORTANT:|r Please be aware of setting a sound to a recommended music entry and vice versa. The way WoW works is that anything tagged as music will be unique and stop any other music currently playing; but for a sound, all sounds activated can play concurrently. This makes it a bad idea, for example, to associated music with anything under Melodic Vitals or for gaining and losing a buff.]]

-- INTRO BLOCK --

-- Media Database Panel
L.ListOfMedia = 'List of Media Entries'
L.MediaHeaderName = 'Media Name'
L.MediaHeaderMusic = 'Is Music?'
L.MediaHeaderPath = 'File Path'

L.MediaAdd = 'Add New Media'
L.MediaEdit = 'Edit Selected Media Entry'

L.MediaName = 'Media Name'
L.MediaNameTip = 'Name of Media Entry'
L.MediaNameDesc = 'Choose the name for the new media entry.\n\nThis can be anything except for the word \'none\' due to internal usage.'
L.MediaIsMusic = 'Is It Music?'
L.MediaIsMusicTip = 'Is This Media Entry Music?'
L.MediaIsMusicDesc = 'Sets whether this entry is considered music. This option simply colour-codes the entry in other option dialogs for easier reference.\n\neg, helps you not set a short sound clip to a long duration buff.'
L.MediaInShivv = 'In Shivv Media?'
L.MediaInShivvTip = 'In Shivv Media Folder?'
L.MediaInShivvDesc = 'Is the file associated with this media item in the addon\'s ShivvAudio\\Media folder? If so, then check this box and only enter the name of the file in the path box, if not, you must enter the full path to the file.'
L.MediaPath = 'Path to Media'
L.MediaPathTip = 'Filepath to Media'
L.MediaPathDesc = 'You must enter the full filepath to the media file you wish to use for this entry. This can either be an internal wow path, a filepath to files in an AddOn\'s folder or, as a special case, a file in the ShivvAudio\\Media folder in which case you need only enter the name of the file.'
L.MediaPathDescEdit = 'You must enter the full filepath to the media file you wish to use for this entry. This can either be an internal wow path or a filepath to files in an AddOn\'s folder.'
L.MediaAddIt = 'Add New Media'
L.MediaEditIt = 'Edit This Media'
L.NewMediaAdded = 'New media entry added to database.'
L.EditedMedia = 'Selected media entry has been edited.'
L.MediaMustEnterPath = 'You must enter a filepath for this media entry.'
L.MediaMustEnterUniqueNameAndPath = 'You must enter a unique name for the media entry as well as a filepath.'
L.MediaDelIt = 'Delete This Media'
L.DeletedMedia = 'Selected media entry has been deleted. All references across all characters have been updated.'
L.PlayMedia = 'Play This Media'
L.PlayingMedia = 'Playing selected media. Please note that the full file will play until its either complete or you shutdown WoW.'

L.RemovingMedia = 'Removing Media Entry: Updating references.'
L.Scanning = 'Scanning: '
L.RemoveChanged = 'Changed '
L.RemoveAura = ' Audible Aura entries.'
L.RemoveVitalHP = ' Melodic Vitals (Health) entries.'
L.RemoveVitalPWR = ' Melodic Vitals (Power) entries.'
L.RemoveEvents = ' Musical Events entries.'

-- Audible Auras Panel
L.ListOfAuras = 'List of Aura Entries'
L.AuraHeaderUnit = 'Unit'
L.AuraHeaderBuff = 'Tracked Aura'
L.AuraHeaderGain = 'On Gain'
L.AuraHeaderLoss = 'On Loss'
L.AuraHeaderMusic = 'Music'

L.AuraAdd = 'Add New Aura'
L.AuraEdit = 'Edit Selected Aura Entry'

L.AuraAddButton = 'Add Aura Entry'
L.AuraEditButton = 'Edit Aura Entry'
L.AuraDelButton = 'Delete Aura Entry'

L.AuraEntryAlreadyExists = 'An aura entry for this unit already exists.'
L.AuraEntryMustEnterAura = 'You must enter an aura to track.'

L.AuraEntryDeleted = 'Aura entry deleted.'
L.AuraEntryEdited = 'Aura entry modified.'

L.AuraUnit = 'Unit'
L.AuraUnitTip = 'Select Unit to Track'
L.AuraUnitDesc = 'For the current entry, select the unitID that will be tracked.\n\nplayer - yourself\n\npet - your pet (if applicable)\n\ntarget - what you target\n\nfocus - your set /focus\n\nparty1-4 - other party members\n\narena1-5 - arena opponents'

L.AuraBuff = 'Aura To Track'
L.AuraBuffTip = 'Aura to Track on Selected Unit'
L.AuraBuffDesc = 'For the current entry, select the aura to be tracked. This can be any aura you know the name of, whether cast by yourself, another player or even an NPC/boss/mob.\n\nSpelling and capitalization must be exact.'

L.AuraOnGain = 'On Gain'
L.AuraOnGainTip = 'Sound Played On Aura Gained'
L.AuraOnGainDesc = 'Choose the sound to play when the chosen aura is cast on the chosen unit.\n\nWhile any sound can be selected, please note that light-blue entries are media files you have designated as music and thus may be to long to play on every aura gain.'

L.AuraOnLoss = 'On Loss'
L.AuraOnLossTip = 'Sound Played On Aura Lost'
L.AuraOnLossDesc = 'Choose the sound to play when the chosen aura fades from the chosen unit.\n\nWhile any sound can be selected, please note that light-blue entries are media files you have designated as music and thus may be to long to play on every aura loss.'

L.AuraMusic = 'Music'
L.AuraMusicTip = 'Music Played While Aura\'s Active'
L.AuraMusicDesc = 'Choose the sound to play while the chosen aura is active on the player.\n\nWhile any sound can be selected, please note that light-blue entries are media files you have designated as music and thus are the best suited choice for this entry.\n\nImportant: This option can only be set for the \'player\' and will be ignored for all other units.'

L.SortListByUnit = 'Sort List By Units'
L.SortListByBuff = 'Sort List By Buffs'

-- Unit ID's
L.Player = 'player'
L.Pet = 'pet'
L.Focus = 'focus'
L.Target = 'target'
L.Party1 = 'party1'
L.Party2 = 'party2'
L.Party3 = 'party3'
L.Party4 = 'party4'
L.Arena1 = 'arena1'
L.Arena2 = 'arena2'
L.Arena3 = 'arena3'
L.Arena4 = 'arena4'
L.Arena5 = 'arena5'


-- Melodic Vitals Panel
L.Enable = 'Enable'
L.Sound = 'Sound To Play'
L.HealthLevel = 'Health Level'
L.PowerLevel = 'Power Level'
L.EnableTip = 'Enable Tracking For This Unit'
L.EnableDesc = 'Checking this box enables tracking for this unit. When unchecked, even if a sound and percent are set, no sound will play.'

L.HealthBlurb = 'Here you can select units to track the health of. For each entry enabled, the chosen sound (if any) will play when their health falls below the set percentage and then every X seconds (where X is the Vital Announce Repeat time in Global Options) until their health recovers.\n'
L.PowerBlurb = 'Here you can select units to track the power (rage/energy/mana/etc) of. For each entry enabled, the chosen sound (if any) will play when their power falls below the set percentage and then every X seconds (where X is the Vital Announce Repeat time in Global Options) until their power recovers.\n'

-- Event Panel
L.death = 'On Death'
L.levelup = 'On Level Up'
L.achievement = 'On Achievement'
L.combatstart = 'On Entering Combat'
L.combatstop = 'On Leaving Combat'
L.incombat = 'When In Combat'
L.shop = 'Visiting A Shop'
L.auction = 'Visiting An Auction House'
L.bank = 'Visiting A (Guild)Bank'

L.SEvent = 'For the event entries below, when they occur the sound chosen will play through once (or nothing will happen if set to None).'
L.MEvent = 'For the event entries below, when they occur the music chosen will begin to play and will repeat until you leave the vendor/bank or exit combat, etc.'
